"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toLowerCamelCase = exports.toUpperCamelCase = void 0;
// 字符串转大驼峰
const toUpperCamelCase = (str) => {
    return str
        .replace(/_[a-z]/g, (m) => m[1].toUpperCase())
        .replace(/^[a-z]/, (m) => m.toUpperCase());
};
exports.toUpperCamelCase = toUpperCamelCase;
// 字符串转小驼峰
const toLowerCamelCase = (str) => {
    return str
        .replace(/_[a-z]/g, (m) => m[1].toUpperCase())
        .replace(/^[A-Z]/, (m) => m.toLowerCase());
};
exports.toLowerCamelCase = toLowerCamelCase;
//# sourceMappingURL=utils.js.map